table.timeline {
    max-width: 40rem;
    margin: 0 auto;
}
table.timeline thead {
    display: none;
}
table.timeline, table.timeline tbody, table.timeline tr, table.timeline td {
    display: block;
}

/* Add a dot for each table row*/
table.timeline tr {
    padding: .8rem 0;
    padding-left: 1.2rem;
    position: relative;
    background: radial-gradient(ellipse at center, rgba(15,75,107,1) 0%,rgba(15,75,107,1) 16%,rgba(0,0,0,0) 17%,rgba(0,0,0,0) 18%);
    background-size: 3rem 3rem;
    background-repeat: no-repeat;
    background-position: -1rem;
}
table.timeline tr.headline {
    background: none;
}

/* Add the timeline itself */
table.timeline tr:before,
table.timeline tr:after
{
    display: inline-block;
    content: '';
    border: .1rem solid;
    height: 50%;
    margin: 0;
    position: absolute;
    left: .4rem;
}
table.timeline tr:before {
    top: 0;
}
table.timeline tr:after {
    bottom: 0;
}

/* Remove beginning and end of timeline */
table.timeline tbody:first-of-type tr:first-child:before,
table.timeline tbody:last-of-type tr:last-child:after
{
    display: none;
}

/* Period */
table.timeline td:nth-child(1) {
    transform-origin: 0 0;
    transform: rotateZ(-2deg);
    font-size: .8rem;
}

/* Position */
table.timeline td:nth-child(2) {
    font-size: 1.2rem;
    font-weight: 700;
    transform-origin: 0 0;
    transform: rotate3d(1.5,.5,.5,-7deg);
}

/* Employer */
table.timeline td:nth-child(3) {
    font-weight: 600;
}

/* Description */
table.timeline td:nth-child(4) {
    background-color: rgba(123,147,177,.4);
    border: #0f4b6b .02rem solid;
    padding: .3rem;
}

@media only screen and (max-width: 50rem) {
    table.timeline {
        max-width: 80vw;
    }
}